Subject: Re: 29.3; Emacs behaves as if it is not maximized

From: Patrick Nicodemus <[email-masked]>
Date: Sun, 23 Jun 2024 18:05:32 -0400

I was able to reproduce the error with VSCode so it is likely a problem
with the Ubuntu 24.04 window manager rather than Emacs. This issue should
be closed.

On Fri, Jun 21, 2024 at 8:24 PM Patrick Nicodemus <[email-masked]>
wrote:

> *OS, Emacs version* : I am on Ubuntu 24.04 using the GUI version of Emacs
> in the emacs-gtk package, 29.3. The bug is also reproducible for me on
> Emacs 30.50 on this computer. The bug may be a problem with the GNOME
> desktop environment or window manager rather than Emacs, but I cannot
> reproduce it with any other Ubuntu applications other than Emacs. Intel®
> Core™ i7-6700T × 8
>
> *Behavior*: When Emacs is maximized, there is an invisible rectangle
> whose top side and left side agree with the top and left side of my
> monitor, whose bottom is about 70% of the distance from top of the screen
> to bottom, and whose right side is about 45% of the distance from the left
> edge of the screen to the right, and the response to a mouse click is
> identical to the behavior if Emacs were un-maximized, i.e., was a floating
> window living in the top left corner of the screen of that size and shape.
> A mouse click outside the invisible window causes Emacs to be minimized,
> and the next window comes to the front (Or, if the desktop is the only
> thing behind emacs, Emacs is not minimized, and the click has no effect).
> Clicking inside the rectangle has the expected effect. In addition to Emacs
> being minimized, if the click is outside the invisible window, the mouse
> click does not have the expected effect on the Emacs buffer (the cursor
> does not move). Other than this, Emacs fully behaves as expected, i.e. text
> wraps at the far right of the screen, not the invisible right edge of the
> window for mouse input. The behavior persists after disabling "Enhanced
> Tiling" in the Ubuntu settings and restarting the computer. The behavior
> persists when using the -Q flag.
>
> I cannot reproduce the problem on a laptop which has the same operating
> system and Emacs version so this may be difficult to reproduce.  I will
> supply additional information to help reproduce if requested.
>